Chapter 21. repositorynotification


List, create and manage repository events/notifications.

21.1. testRepoNotification

Queues a test notification for this repository.

Authorizations: oauth2_implicit (repo:admin)

21.1.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

path

uuid

required

The UUID of the notification

string

21.1.3. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.1.4. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>/test

21.2. getRepoNotification

Get information for the specified notification.

Authorizations: oauth2_implicit (repo:admin)

21.2.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

path

uuid

required

The UUID of the notification

string

21.2.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.2.4. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>

21.3. deleteRepoNotification

Deletes the specified notification.

Authorizations: oauth2_implicit (repo:admin)

21.3.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

path

uuid

required

The UUID of the notification

string

21.3.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.3.4. Example command

$ curl -X DELETE \
  -H "Authorization: Bearer <bearer_token>" \
  https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/<uuid>

21.4. resetRepositoryNotificationFailures

Resets repository notification to 0 failures.

Authorizations: oauth2_implicit (repo:admin)

21.4.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

path

uuid

required

The UUID of the notification

string

21.4.3. Responses

HTTP CodeDescriptionSchema

204

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.4.4. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>

21.5. createRepoNotification

Create Repo Notification.

Authorizations: oauth2_implicit (repo:admin)

21.5.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

21.5.3. Request body schema (application/json)

Information for creating a notification on a repository

NameDescriptionSchema

event

required

The event on which the notification will respond

string

method

required

The method of notification (such as email or web callback)

string

config

required

JSON config information for the specific method of notification

object

eventConfig

required

JSON config information for the specific event of notification

object

title

optional

The human-readable title of the notification

string

21.5.4. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.5.5. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Content-Type: application/json" \
  --data '{
    "event": "<event>",
    "method": "<method>",
    "config": {
      "<config_key>": "<config_value>"
    },
    "eventConfig": {
      "<eventConfig_key>": "<eventConfig_value>"
    }
  }' \
  https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/

21.6. listRepoNotifications

List the notifications for the specified repository.

Authorizations: oauth2_implicit (repo:admin)

21.6.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

21.6.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

21.6.4. Example command

$ curl -X GET  -H "Authorization: Bearer <bearer_token>"   -H "Accept: application/json"  https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification
Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top